Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Namespaces - Delete

Service:
Service Bus
API Version:
2026-01-01

Deletes an existing namespace. This operation also removes all associated resources under the namespace.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceBus/namespaces/{namespaceName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
namespaceName
path True

string

minLength: 6
maxLength: 50

The namespace name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

Location: string

204 No Content

Resource does not exist.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

NameSpaceDelete

Sample request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-3285?api-version=2026-01-01

Sample response

Status code:
200
azure-asyncoperation: http://azure.async.operation/status
Status code:
202
azure-asyncoperation: http://azure.async.operation/status
Status code:
204
azure-asyncoperation: http://azure.async.operation/status

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorResponse

The resource management error response.

ErrorResponseError

The error object.

ErrorAdditionalInfo

Object

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

ErrorResponse

Object

The resource management error response.

Name Type Description
error

ErrorResponseError

The error object.

ErrorResponseError

Object

The error object.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorResponse[]

The error details.

message

string

The error message.

target

string

The error target.